oath_hex2bin(3)

NAME
oath_hex2bin - API function

SYNOPSIS
#include <oath.h>

int oath_hex2bin(const char * hexstr, char * binstr, size_t * binlen);

ARGUMENTS

const char * hexstr
    input string with hex data

char * binstr
    output string that holds binary data, or NULL

size_t * binlen
    output variable holding needed length of binstr

DESCRIPTION
Convert string with hex data to binary data.

Non-hexadecimal data are not ignored but instead will lead to an OATH_INVALID_HEX error.

If binstr is NULL, then binlen will be populated with the necessary length. If the binstr buffer is too small, OATH_TOO_SMALL_BUFFER is returned and binlen will contain the necessary length.

RETURNS
On success, OATH_OK (zero) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. liboath home page: https://www.nongnu.org/oath-toolkit/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2009-2020 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.